#1486 gtk: scite crashes when executing tool via shortcut while other tool is still running

Bug
closed-fixed
5
2013-07-21
2013-06-11
No

When executing an external tool with subsystem=0 the tools menu gets blocken until the tool finishes. Only then a new tool can be started. When using keyboard shortcuts this blocking mechanism is not in place. When a long running tool executes and you activate another tool via shortcut scite reacts by trying to repeat the execution of the first tool started and then crashes.

Related

Bugs: #1271

Discussion

  • Markus Paltian

    Markus Paltian - 2013-06-11

    I am using scite 3.3.3, gtk, 64 bits

     
  • Neil Hodgson

    Neil Hodgson - 2013-06-12
    • labels: --> scite, gtk
    • status: open --> open-fixed
    • assigned_to: Neil Hodgson
     
  • Neil Hodgson

    Neil Hodgson - 2013-06-12

    Fix committed in [a8f970].

     

    Related

    Commit: [a8f970]

  • Markus Paltian

    Markus Paltian - 2013-06-12

    <html><head></head><body>

     
    Thanks Neil !

    Gesendet: Mittwoch, 12. Juni 2013 um 03:02 Uhr

    Von: "Neil Hodgson" <nyamatongwe@users.sf.net>

    An: "[scintilla:bugs] " <1486@bugs.scintilla.p.re.sf.net>

    Betreff: [scintilla:bugs] #1486 gtk: scite crashes when executing tool via shortcut while other tool is still running

    Fix committed in [a8f970].


    [bugs:#1486] gtk: scite crashes when executing tool via shortcut while other tool is still running

    Status: open-fixed
    Labels: scite gtk
    Created: Tue Jun 11, 2013 12:59 PM UTC by Markus Paltian
    Last Updated: Tue Jun 11, 2013 01:01 PM UTC
    Owner: Neil Hodgson

    When executing an external tool with subsystem=0 the tools menu gets blocken until the tool finishes. Only then a new tool can be started. When using keyboard shortcuts this blocking mechanism is not in place. When a long running tool executes and you activate another tool via shortcut scite reacts by trying to repeat the execution of the first tool started and then crashes.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scintilla/bugs/1486/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/




    </body></html>

     
  • Neil Hodgson

    Neil Hodgson - 2013-07-21
    • status: open-fixed --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks